# xarray.DataArray.drop_sel

`DataArray.``drop_sel`(labels: Mapping[Hashable, Any] = None, *, errors: str = 'raise', **labels_kwargs) → xarray.core.dataarray.DataArray

  Drop index labels from this DataArray.

  Parameters:

  - labels (Mapping[Hashable, Any]) – Index labels to drop
  - errors ({'raise', 'ignore'}, optional) – If ‘raise’ (default), raises a ValueError error if any of the index labels passed are not in the dataset. If ‘ignore’, any given labels that are in the dataset are dropped and no error is raised.
  - **labels_kwargs ({dim: label, ..}, optional) – The keyword arguments form of `dim` and `labels`

  Returns: | dropped
  Return type: | DataArray